
QGIS Application - Bug report #2386

Join attributes issues

2010-01-22 04:20 PM - dr -

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12446

Description

1. Open two layers (see attachment): hydro-a.shp and ecoregions.shp;

2. Vector - Data management tool - Join attributes;

3. Set 'hydro-a' as target vector layer and try press drop-down list Target join field. It contains 2 elements;

4. Change target vector layer to ecoregions;

5. Try press drop-down list Target join field. It contains 5 elements, but ecoregions layer consists of 3 fields;

History

#1 - 2010-01-23 05:11 AM - Giovanni Manghi

Confirmed. Every time you change layer in the "target vector layer" dropdown it replicates/add the field to the "target join field" dropdown. See attached

image.

#2 - 2010-02-07 04:33 AM - cfarmer -

- Status changed from Open to Closed

- Resolution set to fixed

Should be fixed in svn 12892. Please test and report back if the problem remains.

Carson

#3 - 2010-02-09 10:24 AM - Alexander Bruy

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

Now another error (thanks to dr). Open any vector layer and run Vector - Data management tool - Join attributes. Error message appears

Traceback (most recent call last):

File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doJoinAttributes.py", line 77, in jupdate

self.jonField.clear()

[[AttributeError]]: 'Dialog' object has no attribute 'jonField'
Версия Python:

2.5.2 (commit:c5cd2930 (SVN r253):60911, Feb 21 2008, 13:11:45) [MSC v.1310 32 bit (Intel)]

I've look in code, there is a typo in line 77. Patch attached

#4 - 2010-02-16 02:35 PM - cfarmer -

- Resolution set to fixed

- Status changed from Feedback to Closed

fixed (again) in #12952

Files

shape.7z 160 KB 2010-01-22 dr -

Screenshot.png 30.1 KB 2010-01-23 Giovanni Manghi

join_attr.patch.bz2 328 Bytes 2010-02-09 Alexander Bruy
